PHP is among the most widely used general-purpose web programming languages. It is extremely popular since it is free software, which you can use to develop responsive sites such as community portals, e-commerce portals or online learning portals rather than static HTML-based sites. A PHP module should be enabled on the server where a PHP-powered website is hosted so that its code can be ‘translated’. Because there aren’t any license fees for such a module and the language itself provides infinite possibilities for the web applications that you develop, there’re hundreds of millions of PHP-driven sites. Furthermore, there’re an enormous number of open-source PHP-based scripts, which you can use for your websites without needing to have any programming experience. As there’re a number of PHP versions, you have to make certain that the very same version that you used whilst setting up your site is enabled on the server too.

PHP 4, PHP 5 and PHP 7 Support in Cloud Hosting

If you purchase a cloud hosting plan from us, you’ll never have to question yourself about whether your sites are compatible with the web hosting environment, as we offer multiple versions of PHP for the sake of your convenience. The Hepsia hosting Control Panel will permit you to choose PHP 4, PHP 5 and PHP 7 with only one mouse click and if you wish to change the current version, the update will be applied right away. In this way, many years of work on websites created with an older PHP version will not be lost. Our web hosting platform will even permit you to use a different PHP version for each domain name hosted in your account, which implies that you can run older and newer scripts simultaneously. Most hosting providers on the marketplace offer support for one, sometimes for two PHP versions. In stark contrast with them, we maintain that you should be the one to pick the version that will be used by your own sites.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

Even if your websites were created with an earlier PHP version, you’ll be able to host them in a semi-dedicated server account from us, as we support different versions running at the same time on our servers and each one of them can be enabled for your account with no more than a click via our custom-built Hepsia Control Panel. Other than the latest PHP 7, we also offer support for 5.3, 5.2 and the older PHP 4, which has already been dropped by the vast majority of web hosting companies, but we strongly feel that you shouldn’t be compelled to modify a website that took years to set up, since older programming language syntax doesn’t invariably suggest safety holes. Quite the opposite, a rightly maintained website using PHP 4 can be more reliable than an incompetently maintained one using PHP 5. For your convenience, we will also offer you the possibility to specify a different PHP version for each single website within your account.